Merge "jjb: fix output path in docs uploader"
[releng.git] / jjb / yardstick / yardstick.yml
index 8f40d87..b384102 100644 (file)
@@ -1,20 +1,25 @@
 - project:
     name: yardstick
-    jobs:
-        - 'yardstick-{pod}'
-        - 'yardstick-daily-{stream}'
-        - 'yardstick-merge'
-        - 'yardstick-verify'
+
+    project: 'yardstick'
 
     pod:
-        - opnfv-jump-1:
-            node: 'opnfv-jump-1'
+        - lf:
+            node: 'opnfv-jump-2'
             installer_type: 'fuel'
             installer_ip: '10.20.0.2'
-        - opnfv-jump-2:
-            node: 'opnfv-jump-2'
-            installer_type: 'foreman'
-            installer_ip: '172.30.10.73'
+        - ericsson:
+            node: 'yardstick-pod'
+            installer_type: 'fuel'
+            installer_ip: '10.20.0.2'
+
+    installer:
+        - fuel
+
+    jobs:
+        - 'yardstick-{installer}-{pod}-{stream}'
+        - 'yardstick-merge'
+        - 'yardstick-verify'
 
     # stream:    branch with - in place of / (eg. stable-helium)
     # branch:    branch (eg. stable/helium)
         - master:
             branch: 'master'
 
-    project: 'yardstick'
-    somevar: 'foo'
-
-- job-template:
-    name: 'yardstick-daily-{stream}'
-
-    # Job template for daily builders
-    #
-    # Required Variables:
-    #     stream:    branch with - in place of / (eg. stable)
-    #     branch:    branch (eg. stable)
-
-    node: ericsson-build
-
-    project-type: freestyle
-    varsetabove: '{somevar}'
-
-    logrotate:
-        daysToKeep: '{build-days-to-keep}'
-        numToKeep: '{build-num-to-keep}'
-        artifactDaysToKeep: '{build-artifact-days-to-keep}'
-        artifactNumToKeep: '{build-artifact-num-to-keep}'
-
-    parameters:
-        - project-parameter:
-            project: '{project}'
-        - string:
-            name: GIT_BASE
-            default: https://gerrit.opnfv.org/gerrit/$PROJECT
-            description: "Used for overriding the GIT URL coming from Global Jenkins configuration in case if the stuff is done on none-LF HW."
-
-    scm:
-        - git-scm:
-            credentials-id: '{ssh-credentials}'
-            refspec: ''
-            branch: '{branch}'
-
-    wrappers:
-        - ssh-agent-credentials:
-            user: '{ssh-credentials}'
-
-    triggers:
-        - timed: 'H H * * *'
-
-    prebuilders:
-        - test-macro
-
-    builders:
-        - shell: |
-            pwd
-            find .
-            echo "Hello world from yardstick {somevar} daily"
-
-    postbuilders:
-        - test-macro
-
 - job-template:
     name: 'yardstick-verify'
 
-    project-type: freestyle
-
     node: ericsson-build
 
     logrotate:
             refspec: '$GERRIT_REFSPEC'
             choosing-strategy: 'gerrit'
 
-    wrappers:
-        - ssh-agent-credentials:
-            user: '{ssh-credentials}'
-
     triggers:
         - gerrit:
             trigger-on:
 
     builders:
         - shell: |
+            #!/bin/bash
+            set -o errexit
+            set -o pipefail
+
             echo "Running unit tests..."
             cd $WORKSPACE
+            virtualenv $WORKSPACE/yardstick_venv
+            source $WORKSPACE/yardstick_venv/bin/activate
+            easy_install -U setuptools
+            python setup.py develop
             ./run_tests.sh
+            deactivate
 
 - job-template:
     name: 'yardstick-merge'
     #
     # This job's purpose is to update all the JJB
 
-    project-type: freestyle
-
     node: ericsson-build
 
     logrotate:
             refspec: ''
             choosing-strategy: 'default'
 
-    wrappers:
-        - ssh-agent-credentials:
-            user: '{ssh-credentials}'
-
     triggers:
         - gerrit:
             trigger-on:
 
     builders:
         - shell: |
+            #!/bin/bash
+            set -o errexit
+            set -o pipefail
+
             echo "Running unit tests..."
             cd $WORKSPACE
+            virtualenv $WORKSPACE/yardstick_venv
+            source $WORKSPACE/yardstick_venv/bin/activate
+            easy_install -U setuptools
+            python setup.py develop
             ./run_tests.sh
+            deactivate
 
 - job-template:
-    name: 'yardstick-{pod}'
-
-    project-type: freestyle
+    name: 'yardstick-{installer}-{pod}-{stream}'
 
     disabled: false
 
     parameters:
         - project-parameter:
             project: '{project}'
+        - '{pod}-parameters'
+        - string:
+            name: POD_NAME
+            default: '{pod}'
+            description: "POD where the job runs"
         - string:
             name: INSTALLER_TYPE
             default: '{installer_type}'
         artifactDaysToKeep: -1
         artifactNumToKeep: -1
 
+    triggers:
+        - 'yardstick-trigger-{pod}'
+
     builders:
         - 'yardstick-fetch-os-creds'
-        - 'yardstick-ping'
+        - 'yardstick-daily'
+
+    publishers:
+        - email:
+            recipients: ana.cunha@ericsson.com jorgen.w.karlsson@ericsson.com
 
 ########################
 # builder macros
 ########################
 - builder:
-    name: yardstick-ping
+    name: yardstick-daily
     builders:
         - shell: |
             #!/bin/bash
-             set -o errexit
-             set -o pipefail
-
-            echo "Yardstick: prepare Yardstick environment"
-
-            # source openstack vars
-            if [[ ! -f $HOME/opnfv-openrc.sh ]]; then
-                echo "Unable to access file $HOME/opnfv-openrc.sh"
-                exit 1
-            fi
-            source $HOME/opnfv-openrc.sh
-
-            # check if cirros-0.3.3 image is already available
-            # if not, create the image
-            echo "Yardstick: configure the image"
-            IMAGE_NAME=cirros-0.3.3
-            if [[ ! $(nova image-show $IMAGE_NAME > /dev/null 2>&1) ]]; then
-                echo "Image $IMAGE_NAME doesn't exist. Creating image $IMAGE_NAME"
-                glance image-create --name cirros-0.3.3 --is-public true --disk-format qcow2 --container-format bare --file $HOME/yardstick/cirros-0.3.3-x86_64-disk.img
-            else
-                echo "Image $IMAGE_NAME exists. Proceeding with yardstick."
-            fi
-
-            # set virtualenv
-            echo "Yardstick: setup virtualenv"
-            cd $WORKSPACE
-            virtualenv $WORKSPACE/yardstick_venv
-            source $WORKSPACE/yardstick_venv/bin/activate
-            python setup.py develop > /dev/null 2>&1
+            set -o errexit
+
+            echo "Yardstick: Run benchmark test suites ..."
+
+            # Remove old containers
+            docker ps | grep opnfv/yardstick-ci |\
+                awk '{print $1}' | xargs -r docker stop &>/dev/null
+            docker ps -a | grep opnfv/yardstick-ci |\
+                awk '{print $1}' | xargs -r  docker rm &>/dev/null
 
-            # set virtualenv
-            echo "Yardstick: execute ping scenario"
-            yardstick task start samples/ping.yaml -v -d
+            # Make sure we have latest image
+            docker pull opnfv/yardstick-ci
 
-            # cleanup
-            echo "Yardstick: cleanup"
-            glance image-delete $IMAGE_NAME
+            docker run \
+               --privileged=true \
+                --rm \
+                -t \
+                -e "INSTALLER_TYPE=${INSTALLER_TYPE}" \
+                -e "INSTALLER_IP=${INSTALLER_IP}" \
+                opnfv/yardstick-ci \
+                run_benchmarks
 
-            # done
             echo "Yardstick: done!"
 
 - builder:
     name: yardstick-fetch-os-creds
     builders:
         - shell:
-            !include-raw ../../utils/fetch_os_creds.sh
\ No newline at end of file
+            !include-raw ../../utils/fetch_os_creds.sh
+
+########################
+# parameter macros
+########################
+- parameter:
+    name: 'ericsson-parameters'
+    parameters:
+        - string:
+            name: GIT_BASE
+            default: https://gerrit.opnfv.org/gerrit/$PROJECT
+            description: "Used for overriding the GIT URL coming from Global Jenkins configuration in case if the stuff is done on none-LF HW."
+
+- parameter:
+    name: 'lf-parameters'
+    parameters:
+        - string:
+            name: GIT_BASE
+            default: ssh://gerrit.opnfv.org:29418/$PROJECT
+            description: "URL for LF POD"
+
+########################
+# trigger macros
+########################
+- trigger:
+    name: 'yardstick-trigger-ericsson'
+    triggers:
+        - timed: '@midnight'
+
+- trigger:
+    name: 'yardstick-trigger-lf'
+    triggers:
+        - timed: '#@midnight'